function battle_jai010c(npcID) --岩石傀儡

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

	a = battle.GetRndNumber(1,10)
	if a>=1 and a<=6 then
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
	else
			battle.MagicToPlayer(0,1234,1)   --全体法术
	end
		

end